#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/python-tackerclient.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build .stestr *.egg-info
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	# See https://bugs.launchpad.net/python-tackerclient/+bug/1988559
	pkgos-dh_auto_test --no-py2 'tackerclient\.tests\.unit\.(?!(.*osc\.v1\.test_vnflcm_op_occs\.TestListVnfLcmOp\.test_take_action_with_filter.*|.*osc\.v1\.test_vnflcm\.TestListVnfLcm\.test_take_action_with_pagination.*|.*osc\.v1\.test_vnflcm_subsc\.TestListLccnSubscription\.test_take_action_with_pagination.*))'
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-tackerclient-doc/usr/share/doc/python-tackerclient-doc/html
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3
